QGIS Application - Bug report #18039
Hiding a Map View removes it from project without a warning.
2018-02-04 11:27 AM - Richard Duivenvoorde

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.1(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25935
Description

Creating an issue as asked in this thread:

https://lists.osgeo.org/pipermail/qgis-developer/2018-February/051830.html

Would be good to warn a user when he/she closes a mapview that it is not saved in the project anymore, something along the line of:
"Note: if you close this view, it will not be saved in your project”

| think this remark:
https://lists.osgeo.org/pipermail/qgis-developer/2018-February/051846.html

is not related is it? | think that is about a problem about saving floating widgets?

History

#1 - 2018-02-05 04:34 AM - Nyall Dawson
- Assignee deleted (Nyall Dawson)

I've investigated - unfortunately it's not possible to do this without gross hacks. Qt provides no way to intercept the close event for dock widgets selectively
- s0 we can only trigger a message box on ALL closes (including unwanted events like those triggered by loading a new project, closing qgis). | think that's
a step back in UX.

#2 - 2018-03-03 09:32 PM - Giovanni Manghi
- Affected QGIS version changed from master to 3.1(master)
